ruby-settingslogic_2.0.9-3_all.deb


Advertisement

Description

ruby-settingslogic - simple settings solution for Ruby

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-settingslogic
Package version 2.0.9
Package release 3
Package architecture all
Package type deb
Installed size 26 B
Download size 7.40 KB
Official Mirror archive.ubuntu.com
A simple and straightforward settings solution that uses an ERB enabled YAML
file and a singleton design pattern.
The settings are accessible from the application by subclassing Settingslogic
and then accessing setting attributes from this subclass.

Alternatives

Package Version Architecture Repository
ruby-settingslogic_2.0.9-3_all.deb 2.0.9 all Ubuntu Universe
ruby-settingslogic - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-settingslogic_2.0.9-3_all.deb
Source Package ruby-settingslogic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-settingslogic deb package:
    # sudo apt-get install ruby-settingslogic

Files

Path
/usr/lib/ruby/vendor_ruby/settingslogic.rb
/usr/share/doc/ruby-settingslogic/README.rdoc.gz
/usr/share/doc/ruby-settingslogic/changelog.Debian.gz
/usr/share/doc/ruby-settingslogic/copyright
/usr/share/rubygems-integration/all/specifications/settingslogic-2.0.9.gemspec

Changelog

2015-09-03 - Balasankar C <balasankarc@autistici.org>
ruby-settingslogic (2.0.9-3) unstable; urgency=medium
[ Sebastien Badia ]
* Team upload.
* d/watch: Fall-back to Github (githubredir webservice was discontinued)
[ Balasankar C ]
* Port tests to RSpec3 syntax (Closes: #797258)
* Bump standards version to 3.9.6, no changes
* Bump debhelper compatibility to 9
* Remove unwanted compressed js files
2014-04-10 - Per Andersson <avtobiff@gmail.com>
ruby-settingslogic (2.0.9-2) unstable; urgency=low
* Bump gem2deb build dependency to >= 0.7.5~
* Bump Standards-Version to 3.9.5, no changes
2013-06-05 - Per Andersson <avtobiff@gmail.com>
ruby-settingslogic (2.0.9-1) unstable; urgency=low
* Initial release (Closes: #702973)

See Also

Package Description
ruby-setup_3.4.1-9_all.deb the setup.rb install tool for Ruby
ruby-sexp-processor_4.4.4-1_all.deb brings all the generic sexp processing tools to ruby
ruby-shadow_2.4.1-1build4_i386.deb interface of shadow password for Ruby
ruby-sham-rack_1.3.6-6_all.deb Net::HTTP-to-Rack plumbing for HTTP testing
ruby-shindo_0.3.8-1_all.deb simple depth first Ruby testing
ruby-shoulda-context_1.2.0-1_all.deb context framework for Test::Unit
ruby-shoulda-matchers_1.0.0~beta2-1build1_all.deb Test helpers for Rails applications, compatible with Test::Unit and RSpec
ruby-shoulda_3.5.0-3build1_all.deb additional features for the Test::Unit testing framework
ruby-sidekiq-cron_0.4.2-4_all.deb scheduling add-on for Sidekiq
ruby-sidekiq_4.0.1+dfsg-2_all.deb Simple, efficient background processing for Ruby
ruby-sigar_0.7.3-1build3_i386.deb System Information Gatherer And Reporter
ruby-simple-captcha2_0.3.4-1_all.deb simplest and a robust captcha plugin for rails
ruby-simple-form_3.2.0-1_all.deb library to simplify the creation of forms in Rails applications
ruby-simple-navigation_4.0.3-1_all.deb Library to create navigations for Ruby web applications
ruby-simple-oauth_0.3.1-2_all.deb Simply builds and verifies OAuth headers
Advertisement
Advertisement